Trouble migrating from version 3

romadromad Member
edited December 2012 in iOS
OK, while I'm very annoyed at having to buy the iOS app a THIRD time and only a couple of months after the most recent purchase, the kicker was that it just won't work!

1. After buying it and installing it on my iPad3 (where version 3.7.2 is already installed AND working), I launched it and was told I had to create a Master Password. Hello, why didn't just pull the one from 3.7.2?

2. So I "created" using the same one from 3.7.2. Let's call it "1234". Next I was asked to import my 1P keychain which I had to do via Dropbox because WiFi hasn't been enabled in version 4 yet.

3. After starting the Dropbox connection, I was back at 1P4 where 1P4 asked me to enter my Master Password again. So I enter "1234" and 1P4 says, INVALID!

4. After several tries with the same result (I even tried the master password for 1P3.8 on my iMac), I deleted 1P4 from my iPad3, and from iTunes. 1P3.7.2 works fine so I don't need 1P4.

5. Bottomline:

Cons: I'm out $8

Pros: I gave 1P4 a negative rating in the iTunes Store, and at my Mac User Group meeting, I reccommended NOT using it, but to just stay with 1P3.7.2 instead.

(Hey, at least I'm not talking about getting an attorney involved, as some others are.)

Comments

  • khadkhad Social Choreographer

    Team Member
    edited December 2012
    Hello Romad,

    I'd love to help you, but just so we're not duplicating efforts can you tell me if you would prefer to receive assistance privately on the support site or publicly here on the community forum? You've posted on both, and I just want to make sure the discussion stays in one place to avoid any confusion or wasted time on either end.

    I'll help you out whichever one you choose. :)
  • romadromad Member
    Here is fine. So based on my step-by-step explanation above, any idea as to why 1PiOS4 rejected the Master Password I'd created just minutes before?
  • khadkhad Social Choreographer

    Team Member
    It sounds like in the step 1 you listed above you told 1Password 4 for iOS that you were a new user instead of an existing user. Otherwise you would not have been prompted to create a master password.

    If all your data is safely on Dropbox and in 1Password for Mac, a simple solution would be to delete the app, reinstall it, and make sure you specify that you are an existing user and then sync via Dropbox.

    Please let me know if your data is not all in 1Password on your Mac or if you have not already been syncing via Dropbox.
  • romadromad Member
    edited December 2012
    No, I clicked on the existing user option, since I was already using 3.7.2.

    All data is in 1PMac3.8 on my iMac. I've also stopped using Dropbox due to security concerns; my WiFi connection only travels from my iMac and back INSIDE my own house and is much more secure than traveling God knows where in the "cloud". IIRC, 1PiOS4 also said it could retrieve it from 3.7.2 (at the time I couldn't understand how since normally an updated .ipa file replaces an earlier file; I found that 3.7.2 was still on the iPad3) so until WiFi syncing is enabled in 4, I'll sync 3.7.2 with my iMac then have 4 retrieve the data from 3.7.2. Of course that is assuming that inaddition to the WiFi bug, the other major bugs are fixed. After the fiasco, I spent time reading both forums (you really need to merge them as having two is asinine) and learned just how screwed up and buggy 4 is more than I expected.

    Since I've already deleted the app, I'll re-download it and try again just to see if it works. But I probably won't use it due to all the major bugs.

    BTW, I'm not being notified of your replies, even though I've subscribed to this thread. You may have a bug in your forum software also.
  • khadkhad Social Choreographer

    Team Member
    BTW, I'm not being notified of your replies, even though I've subscribed to this thread. You may have a bug in your forum software also.

    [font="helvetica, arial, sans-serif"]I've replied to this in the other thread you've been posting in.[/font]


    I'll re-download it and try again just to see if it works.

    [font="helvetica, arial, sans-serif"]Please do let me know how it goes if you try it again. If you want to use the direct import feature from v3, just be sure you have Dropbox disabled.[/font]
This discussion has been closed.